# Detect the distribution in use
%global __despace head -n 1 | tr -d '[:space:]' | sed -e 's/[(].*[)]//g'
%global __lower4 cut -c 1-4 | tr '[:upper:]' '[:lower:]'
%global __distfile %([ -f /etc/SuSE-release ] && echo /etc/SuSE-release || echo /etc/redhat-release)
%global __distinit %(sed -e 's/ release .*//' -e 's/\\([A-Za-z]\\)[^ ]*/\\1/g' %{__distfile} | %{__despace} | %{__lower4})
%global __distvers %(sed -e 's/.* release \\([^. ]*\\).*/\\1/' %{__distfile} | %{__despace})
# Identify Alma, CentOS, CentOS Stream and Rocky Linux as rhel
%if "%{__distinit}" == "a" || "%{__distinit}" == "c" || "%{__distinit}" == "cl" || "%{__distinit}" == "cs" || "%{__distinit}" == "rl"
%global __distinit rhel
%endif
# Dist tag for Fedora is still "fc"
%if "%{__distinit}" == "f"
%global __distinit fc
%endif

Name:		perl-File-Find-Object-Rule
Version:	0.0313
Release:	5.%{__distinit}%{__distvers}
Summary:	Alternative interface to File::Find::Object
License:	GPL-1.0-or-later OR Artistic-1.0-Perl
URL:		https://metacpan.org/release/File-Find-Object-Rule
Source0:	https://cpan.metacpan.org/modules/by-module/File/File-Find-Object-Rule-%{version}.tar.gz
Patch0:		File-Find-Object-Rule-0.0310-shellbang.patch
BuildArch:	noarch
# Module Build
BuildRequires:	coreutils
BuildRequires:	perl-generators
BuildRequires:	perl-interpreter
BuildRequires:	perl(Module::Build) >= 0.28
# Module Runtime
BuildRequires:	perl(Carp)
BuildRequires:	perl(Class::XSAccessor)
BuildRequires:	perl(Cwd)
BuildRequires:	perl(File::Basename)
BuildRequires:	perl(File::Find::Object)
BuildRequires:	perl(File::Spec)
BuildRequires:	perl(Number::Compare)
BuildRequires:	perl(strict)
BuildRequires:	perl(Text::Glob)
BuildRequires:	perl(vars)
BuildRequires:	perl(warnings)
# Script Runtime
BuildRequires:	perl(File::Spec::Functions)
# Test Suite
BuildRequires:	perl(base)
BuildRequires:	perl(blib)
BuildRequires:	perl(File::Path)
BuildRequires:	perl(File::TreeCreate)
BuildRequires:	perl(IO::Handle)
BuildRequires:	perl(IPC::Open3)
BuildRequires:	perl(lib)
BuildRequires:	perl(Test::More)
# Dependencies
%if 0%{?fedora} < 38 && 0%{?rhel} < 10
Requires:	perl(:MODULE_COMPAT_%(eval "`perl -V:version`"; echo $version))
%endif
%if 0%{?fedora} < 23 && 0%{?rhel} < 8
Requires:	perl(Class::XSAccessor)
%endif

%description
File::Find::Object::Rule is a friendlier interface to File::Find::Object. It 
allows you to build rules that specify the desired files and directories.

%prep
%setup -q -n File-Find-Object-Rule-%{version}

# Avoid use of /usr/bin/env
%patch -P 0

%build
perl Build.PL --installdirs=vendor
./Build

%install
./Build install --destdir=%{buildroot} --create_packlist=0
%{_fixperms} -c %{buildroot}

%check
./Build test

%files
%license LICENSE
%doc Changes Changes.F-F-R README
%{_bindir}/findorule
%{perl_vendorlib}/File/
%{_mandir}/man1/findorule.1*
%{_mandir}/man3/File::Find::Object::Rule.3*
%{_mandir}/man3/File::Find::Object::Rule::Extending.3*
%{_mandir}/man3/File::Find::Object::Rule::Procedural.3*

%changelog
* Wed Apr 12 2023 Paul Howarth <paul@city-fan.org> - 0.0313-5
- Use SPDX-format license tag
- Avoid use of deprecated patch syntax

* Fri Aug 27 2021 Paul Howarth <paul@city-fan.org> - 0.0313-1
- Update to 0.0313
  - Split File::TreeCreate off to its own distribution
- Use %%license unconditionally
- Fix dist tags for Alma and Rocky Linux

* Tue Mar 10 2020 Paul Howarth <paul@city-fan.org> - 0.0312-2
- BR: perl(blib) for t/00-compile.t and t/findorule.t

* Tue Jan 28 2020 Paul Howarth <paul@city-fan.org> - 0.0312-1
- Update to 0.0312
  - Rebuild for order of 'NAME' and 'VERSION' sections in the generated POD
    documentation (VERSION used to appear before NAME)

* Mon Aug 26 2019 Paul Howarth <paul@city-fan.org> - 0.0311-1
- Update to 0.0311
  - Moved the VCS repo to https://github.com/shlomif/perl-file-find-object-rule

* Wed Jun  5 2019 Paul Howarth <paul@city-fan.org> - 0.0310-2
- Perl 5.30 rebuild

* Sat Apr  6 2019 Paul Howarth <paul@city-fan.org> - 0.0310-1
- Update to 0.0310
  - Fully qualified shebang for findorule
  - Enable tidyall in dist.ini
- Add patch to avoid use of /usr/bin/env in findorule
- Extra tests moved to xt/ so drop build dependencies for them

* Wed Jun 20 2018 Paul Howarth <paul@city-fan.org> - 0.0309-1
- Update to 0.0309
  - Apply spelling fixes patch from Debian (CPAN RT#125635)

* Thu May 24 2018 Paul Howarth <paul@city-fan.org> - 0.0307-1
- Update to 0.0307
  - Convert to Dist-Zilla
- BR: perl-generators unconditionally
- BR: perl-interpreter rather than perl
- Drop support for EOL distributions prior to F-13
  - Drop BuildRoot: and Group: tags
  - Drop explicit buildroot cleaning in %%install section
  - Drop explicit %%clean section

* Mon Sep 12 2016 Paul Howarth <paul@city-fan.org> - 0.0306-1
- Update to 0.0306
  - Made the trailing space tests RELEASE_TESTING only

* Tue Aug 23 2016 Paul Howarth <paul@city-fan.org> - 0.0305-8
- BR: perl-generators where available

* Fri Aug 29 2014 Paul Howarth <paul@city-fan.org> - 0.0305-2
- Use %%license where possible

* Mon May 19 2014 Paul Howarth <paul@city-fan.org> - 0.0305-1
- Update to 0.0305
  - Made the tests succeed if run in parallel (e.g. HARNESS_OPTIONS='j4:c')

* Fri Apr 11 2014 Paul Howarth <paul@city-fan.org> - 0.0304-3
- Enable Test::TrailingSpace

* Fri Apr 11 2014 Paul Howarth <paul@city-fan.org> - 0.0304-2
- Import from Fedora

* Thu Feb 13 2014 Christopher Meng <rpm@cicku.me> - 0.0304-1
- Update to 0.0304

* Sat Aug  3 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.0303-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Sun May 26 2013 Christopher Meng <rpm@cicku.me> - 0.0303-1
- Initial Package
